## NAME

r.in.elas - Import an ELAS raster file into a GRASS raster map layer.
(GRASS Raster Data Import Program)

## SYNOPSIS

r.in.elas
r.in.elas help
r.in.elas [-h] channel=value zone=value proj=value nbpe=value x-spot-size=value y-spot-size=value input=name output=name

## DESCRIPTION

r.in.elas" imports ELAS raster files to GRASS cell files.

## OPTIONS

### Flags:

-h
  Create GRASS histogram file.

### Parameters:

input=name
  Name of an existing binary ELAS raster file to be imported.
output=name
  Name to be assigned to resultant GRASS raster map layer.
channel=value
  ELAS channel number.
  default: 1
zone=value
  UTM zone number. (1-60)
  default: 0
proj=value
  GRASS "proj" value. (0 for XY and 1 for UTM)
  default: 1
nbpe=value
  (number of bytes per element) for ELAS file. "nbpe" is an OPTIONAL value, only to be inputted to override the ELAS header value.
  default: 0
x-spot-size=value
  ELAS X Spot size number. "x-spot-size" is an OPTIONAL value, only to be inputted to override the ELAS header value.
  default: 0
y-spot-size=value
  ELAS Y Spot size number. "y-spot-size" is an OPTIONAL value, only to be inputted to override the ELAS header value.
  default: 0

This program "r.in.elas" copies and converts an ELAS raster file to a GRASS cell file. The ELAS raster file must be a 1 to 4 byte integer per element file. The GRASS file created from the ELAS file will be either an unrefer enced XY or a UTM projection. The ELAS color values will be transferred to GRASS only if there are color values in the ELAS header. If no color values are transferred from ELAS then a GRASS color file will automatically be cre ated. This color file will be a RGB color ramp. The area to be transferred from ELAS to GRASS will be determined by the ELAS values "il" (initial line), "ll" (last line), "ie" (initial element), and "le"(last element). Multi- channel ELAS raster files may be transferred to GRASS one channel at a time. Input variables: nbpe, x-spot-size, and y-spot-size are OPTIONAL variables and can only be inputted non-interactively, since these values will usu ally already be stored in the ELAS header. But if these values are not in the ELAS header, then the user may pro vide those values by entering the non-interactive command. This program will produce a GRASS range file and if the flag "-h" is passed to the program then a histogram file will be created as well. Using the "-h" flag with larger files is not recommended since creating a histogram file will increase processing time. You can create a histogram file after this program is finished executing by running "r.support". This program will produce a new "WIND" (region) that will correspond to the new "cellhd" file that has been created. If the user should want to save their original "WIND" (region) then they should run "g.region" prior to executing this program.

## SEE ALSO

r.out.bin, r.in.ascii, r.out.ascii, r.in.arc, r.out.arc, r.in.gdal

## AUTHOR

Bruce Powell, National Park Service

Last changed: $Date: 2002/01/25 05:45:34 $